package fr.lri.keller.td7;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;

// Fragment avec une zone de texte

public class TD7ActivityFragment extends Fragment {

    private TextView textViewHello;

    private final static float TEXT_SIZE_SMALL=14;
    private final static float TEXT_SIZE_LARGE=28;
    private float textSize = TEXT_SIZE_SMALL;

    private final static int NOIR = 0xFF000000;
    private final static int ROUGE = 0xFFFF0000;
    private int textColor = NOIR;

    // Constructeur, requis car on hérite de Fragment
    public TD7ActivityFragment() {}

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Lancement de l'interface
        View res = inflater.inflate(R.layout.fragment_td7, container, false);

        // Récupération des objets de l'interface
        textViewHello = (TextView) res.findViewById(R.id.textViewHello);
        textViewHello.setTextSize(textSize);
        textViewHello.setTextColor(textColor);

        return res;
    }

    // Méthode mettant à jour la taille du texte
    public void setTextSize(boolean b) {
        if (b) {
            textSize = TEXT_SIZE_LARGE;
        } else {
            textSize = TEXT_SIZE_SMALL;
        }
        if (textViewHello != null) {
            textViewHello.setTextSize(textSize);
        }
    }

    // Méthode mettant à jour la couleur du texte
    public void setTextColor(boolean b) {
        if (b) {
            textColor = ROUGE;
        } else {
            textColor = NOIR;
        }
        if (textViewHello != null) {
            textViewHello.setTextColor(textColor);
        }
    }


}
